#include "pytanie.h"
#include "ui_pytanie.h"
#include "qfile.h"

int ilosc_odpowiedzi_prawidlowych=0;
int nr_pytania = 1;
//int poprawna_odp;
int nr_biezacej_linii_pliku=1;
QByteArray pytania[100][5];
int odpowiedzi[100];
int ile_pytan_w_pliku=0;

Pytanie::Pytanie(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Pytanie)
{
    ui->setupUi(this);
    ui->label->setWordWrap(true);
    czytaj_dane_z_pliku();

    wczytaj_pytanie_i_odpowiedzi(nr_pytania);
   // ui->label->setText(QString::number(ile_pytan_w_pliku));
}

void Pytanie::czytaj_dane_z_pliku()
{
    QFile plik("pytanie.txt");
    if (!plik.open(QIODevice::ReadOnly | QIODevice::Text))
              ui->label->setText("Błąd odczytu pliku");

    int nr_biezacej_linii_pytania=1;

    int nr_pyt=0;
    while (!plik.atEnd())
    {


            QByteArray linia = plik.readLine();

            if (nr_biezacej_linii_pytania==1) pytania[nr_pyt][0]=linia;
            if (nr_biezacej_linii_pytania==2) pytania[nr_pyt][1]=linia;
            if (nr_biezacej_linii_pytania==3) pytania[nr_pyt][2]=linia;
            if (nr_biezacej_linii_pytania==4) pytania[nr_pyt][3]=linia;
            if (nr_biezacej_linii_pytania==5) pytania[nr_pyt][4]=linia;
            if (nr_biezacej_linii_pytania==6)
            {
                odpowiedzi[nr_pyt]=linia.toInt();
            }

        nr_biezacej_linii_pytania++;
        if (nr_biezacej_linii_pytania>=7)
        {
            nr_biezacej_linii_pytania=1;
            nr_pyt++;
        }
        ile_pytan_w_pliku++;
    }

ile_pytan_w_pliku = (ile_pytan_w_pliku)/6;
}

void Pytanie::wczytaj_pytanie_i_odpowiedzi(int nr_pytania)
{
    ui->label->setText(pytania[nr_pytania-1][0]);
    ui->radioButton->setText(pytania[nr_pytania-1][1]);
    ui->radioButton_2->setText(pytania[nr_pytania-1][2]);
    ui->radioButton_3->setText(pytania[nr_pytania-1][3]);
    ui->radioButton_4->setText(pytania[nr_pytania-1][4]);
}
Pytanie::~Pytanie()
{
    delete ui;

}

void Pytanie::on_radioButton_clicked()
{

}

void Pytanie::on_radioButton_2_clicked()
{

}

void Pytanie::on_radioButton_3_clicked()
{

}

void Pytanie::on_radioButton_4_clicked()
{

}

void Pytanie::on_pushButton_clicked()
{
    ui->pushButton->setHidden(true);
    ui->radioButton->setDisabled(1);
    ui->radioButton_2->setDisabled(1);
    ui->radioButton_3->setDisabled(1);
    ui->radioButton_4->setDisabled(1);
    ui->label->setStyleSheet("display:block");
    ui->label->setStyleSheet("vertical-align:text-bottom");
   if(odpowiedzi[nr_pytania-1]==1 && ui->radioButton->isChecked())
    {
        ui->radioButton->setStyleSheet("background-color: green");
        ilosc_odpowiedzi_prawidlowych++;

    }
    if (odpowiedzi[nr_pytania-1]!=1 && ui->radioButton->isChecked())
        ui->radioButton->setStyleSheet("background-color: red");

    if(odpowiedzi[nr_pytania-1]==2 && ui->radioButton_2->isChecked())
    {
        ui->radioButton_2->setStyleSheet("background-color: green");
        ilosc_odpowiedzi_prawidlowych++;
    }
    if (odpowiedzi[nr_pytania-1]!=2 && ui->radioButton_2->isChecked()) ui->radioButton_2->setStyleSheet("background-color: red");

    if(odpowiedzi[nr_pytania-1]==3 && ui->radioButton_3->isChecked())
    {
        ui->radioButton_3->setStyleSheet("background-color: green");
        ilosc_odpowiedzi_prawidlowych++;
    }
    if (odpowiedzi[nr_pytania-1]!=3 && ui->radioButton_3->isChecked()) ui->radioButton_3->setStyleSheet("background-color: red");

    if(odpowiedzi[nr_pytania-1]==4 && ui->radioButton_4->isChecked())
    {
        ui->radioButton_4->setStyleSheet("background-color: green");
        ilosc_odpowiedzi_prawidlowych++;
    }
    if (odpowiedzi[nr_pytania-1]!=4 && ui->radioButton_4->isChecked()) ui->radioButton_4->setStyleSheet("background-color: red");

}
void Pytanie::on_pushButton_2_clicked()
{
    if (nr_pytania<ile_pytan_w_pliku)
    {
    nr_pytania++;
    ui->radioButton->setDisabled(0);
    ui->radioButton_2->setDisabled(0);
    ui->radioButton_3->setDisabled(0);
    ui->radioButton_4->setDisabled(0);
    ui->pushButton->setHidden(false);
    ui->radioButton->setStyleSheet("background-color: none");
    ui->radioButton_2->setStyleSheet("background-color: none");
    ui->radioButton_3->setStyleSheet("background-color: none");
    ui->radioButton_4->setStyleSheet("background-color: none");
    ui->radioButton->setAutoExclusive(false);
    ui->radioButton->setChecked(false);
    ui->radioButton->setAutoExclusive(true);

    ui->radioButton_2->setAutoExclusive(false);
    ui->radioButton_2->setChecked(false);
    ui->radioButton_2->setAutoExclusive(true);

    ui->radioButton_3->setAutoExclusive(false);
    ui->radioButton_3->setChecked(false);
    ui->radioButton_3->setAutoExclusive(true);

    ui->radioButton_4->setAutoExclusive(false);
    ui->radioButton_4->setChecked(false);
    ui->radioButton_4->setAutoExclusive(true);
    wczytaj_pytanie_i_odpowiedzi(nr_pytania);
    }
    else {
         ui->label->setText("Wynik: "+QString::number(ilosc_odpowiedzi_prawidlowych)+"/"+QString::number(ile_pytan_w_pliku)+"\n"+QString::number(ilosc_odpowiedzi_prawidlowych*100/ile_pytan_w_pliku)+"%");
         ui->radioButton->setDisabled(1);
         ui->radioButton_2->setDisabled(1);
         ui->radioButton_3->setDisabled(1);
         ui->radioButton_4->setDisabled(1);
    }
}
